Package com.smartgwt.client.widgets.layout

# Class NavigationBarViewState

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.layout.NavigationBarViewState

All Implemented Interfaces:
  `HasHandlers`

public class NavigationBarViewState extends DataClass
Encapsulates state of a `NavigationBar`'s view. A `NavigationBarViewState` object is created to pass to `NavigationBar.setViewState()` so that multiple properties of the `NavigationBar` can be changed at once.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NavigationBarViewState()`
  `NavigationBarViewState(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAlwaysShowLeftButtonTitle()`
  The new `NavigationBar.alwaysShowLeftButtonTitle` setting.
  `String[]`
  `getControls()`
  The new `NavigationBar.controls` setting.
  `Canvas[]`
  `getControlsAsCanvasArray()`
  The new `NavigationBar.controls` setting.
  `String`
  `getLeftButtonTitle()`
  The new `NavigationBar.leftButtonTitle` setting.
  `static NavigationBarViewState`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getShortLeftButtonTitle()`
  The new `NavigationBar.shortLeftButtonTitle` setting.
  `Boolean`
  `getShowLeftButton()`
  The new `NavigationBar.showLeftButton` setting.
  `String`
  `getTitle()`
  The new `NavigationBar.title` setting.
  `NavigationBarViewState`
  `setAlwaysShowLeftButtonTitle(Boolean alwaysShowLeftButtonTitle)`
  The new `NavigationBar.alwaysShowLeftButtonTitle` setting.
  `NavigationBarViewState`
  `setControls(Canvas... controls)`
  The new `NavigationBar.controls` setting.
  `NavigationBarViewState`
  `setControls(String... controls)`
  The new `NavigationBar.controls` setting.
  `NavigationBarViewState`
  `setLeftButtonTitle(String leftButtonTitle)`
  The new `NavigationBar.leftButtonTitle` setting.
  `NavigationBarViewState`
  `setShortLeftButtonTitle(String shortLeftButtonTitle)`
  The new `NavigationBar.shortLeftButtonTitle` setting.
  `NavigationBarViewState`
  `setShowLeftButton(Boolean showLeftButton)`
  The new `NavigationBar.showLeftButton` setting.
  `NavigationBarViewState`
  `setTitle(String title)`
  The new `NavigationBar.title` setting.
  `void`
  `unsetAlwaysShowLeftButtonTitle()`
  `void`
  `unsetControls()`
  `void`
  `unsetLeftButtonTitle()`
  `void`
  `unsetShortLeftButtonTitle()`
  `void`
  `unsetShowLeftButton()`
  `void`
  `unsetTitle()`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NavigationBarViewState

    public NavigationBarViewState()

  - ### NavigationBarViewState

    public NavigationBarViewState(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static NavigationBarViewState getOrCreateRef(JavaScriptObject jsObj)

  - ### setAlwaysShowLeftButtonTitle

    public NavigationBarViewState setAlwaysShowLeftButtonTitle(Boolean alwaysShowLeftButtonTitle)
    The new `NavigationBar.alwaysShowLeftButtonTitle` setting. If unset, the `alwaysShowLeftButtonTitle` setting is not changed.
    Parameters:
      `alwaysShowLeftButtonTitle` - New alwaysShowLeftButtonTitle value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls

  - ### getAlwaysShowLeftButtonTitle

    public Boolean getAlwaysShowLeftButtonTitle()
    The new `NavigationBar.alwaysShowLeftButtonTitle` setting. If unset, the `alwaysShowLeftButtonTitle` setting is not changed.
    Returns:
      Current alwaysShowLeftButtonTitle value. Default value is null

  - ### setControls

    public NavigationBarViewState setControls(String... controls)
    The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
    Parameters:
      `controls` - New controls value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls

  - ### getControls

    public String[] getControls()
    The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
    Returns:
      Current controls value. Default value is null

  - ### setControls

    public NavigationBarViewState setControls(Canvas... controls)
    The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
    Parameters:
      `controls` - New controls value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls

  - ### getControlsAsCanvasArray

    public Canvas[] getControlsAsCanvasArray()
    The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
    Returns:
      Current controls value. Default value is null

  - ### setLeftButtonTitle

    public NavigationBarViewState setLeftButtonTitle(String leftButtonTitle)
    The new `NavigationBar.leftButtonTitle` setting. If unset, the `leftButtonTitle` is not changed.
    Parameters:
      `leftButtonTitle` - New leftButtonTitle value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getLeftButtonTitle

    public String getLeftButtonTitle()
    The new `NavigationBar.leftButtonTitle` setting. If unset, the `leftButtonTitle` is not changed.
    Returns:
      Current leftButtonTitle value. Default value is null
    See Also:
      - `HTMLString`

  - ### setShortLeftButtonTitle

    public NavigationBarViewState setShortLeftButtonTitle(String shortLeftButtonTitle)
    The new `NavigationBar.shortLeftButtonTitle` setting. If unset, the `shortLeftButtonTitle` is not changed.
    Parameters:
      `shortLeftButtonTitle` - New shortLeftButtonTitle value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getShortLeftButtonTitle

    public String getShortLeftButtonTitle()
    The new `NavigationBar.shortLeftButtonTitle` setting. If unset, the `shortLeftButtonTitle` is not changed.
    Returns:
      Current shortLeftButtonTitle value. Default value is null
    See Also:
      - `HTMLString`

  - ### setShowLeftButton

    public NavigationBarViewState setShowLeftButton(Boolean showLeftButton)
    The new `NavigationBar.showLeftButton` setting. If unset, the `showLeftButton` setting is not changed.
    Parameters:
      `showLeftButton` - New showLeftButton value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls

  - ### getShowLeftButton

    public Boolean getShowLeftButton()
    The new `NavigationBar.showLeftButton` setting. If unset, the `showLeftButton` setting is not changed.
    Returns:
      Current showLeftButton value. Default value is null

  - ### setTitle

    public NavigationBarViewState setTitle(String title)
    The new `NavigationBar.title` setting. If unset, the `title` is not changed.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `NavigationBarViewState` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getTitle

    public String getTitle()
    The new `NavigationBar.title` setting. If unset, the `title` is not changed.
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTMLString`

  - ### unsetShowLeftButton

    public void unsetShowLeftButton()

  - ### unsetLeftButtonTitle

    public void unsetLeftButtonTitle()

  - ### unsetShortLeftButtonTitle

    public void unsetShortLeftButtonTitle()

  - ### unsetAlwaysShowLeftButtonTitle

    public void unsetAlwaysShowLeftButtonTitle()

  - ### unsetTitle

    public void unsetTitle()

  - ### unsetControls

    public void unsetControls()